> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Open your Spark session

> Open your Kyuubi Spark Connect session, or return the one you have. It
runs as you. Returns at once: poll `GET /session` until `running`.

**Required roles**: as `GET /session`



## OpenAPI

````yaml post /api/spark-connect/session
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/spark-connect/session:
    post:
      tags:
        - Spark Connect
      summary: Open your Spark session
      description: |-
        Open your Kyuubi Spark Connect session, or return the one you have. It
        runs as you. Returns at once: poll `GET /session` until `running`.

        **Required roles**: as `GET /session`
      operationId: open_session_api_spark_connect_session_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SparkSessionResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SparkSessionResponse:
      properties:
        state:
          type: string
          title: State
          description: >-
            NONE (no session), PENDING (the engine is starting), RUNNING,
            RECOVERING, or a state Kyuubi reports.
        running:
          type: boolean
          title: Running
          default: false
        starting:
          type: boolean
          title: Starting
          default: false
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: Who Kyuubi runs the session as.
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - state
      title: SparkSessionResponse
      description: The caller's Kyuubi Spark Connect session.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.